import { GraphQLInputObjectType, GraphQLInt, GraphQLList, GraphQLString } from 'graphql';

import { createModuleNameFromMetaUrl } from '../../../_helpers/common';

export const PAYLOAD_NAME = createModuleNameFromMetaUrl(import.meta.url);

export default new GraphQLInputObjectType({
  name: PAYLOAD_NAME,
  fields: {
    pageSize: {
      type: GraphQLInt,
    },
    searchText: {
      type: GraphQLString,
    },
    filtersValues: {
      type: new GraphQLList(GraphQLString),
    },
  },
});
